// This file was generated by qlalr - DO NOT EDIT!
#ifndef TABLE_COOLEXERIO_P_H
#define TABLE_COOLEXERIO_P_H

class Table_CooLexerIO
{
public:
    enum VariousConstants {
        EOF_SYMBOL = 0,
        COMMENTSTRING = 2,
        COVXY = 24,
        COVXZ = 25,
        COVYZ = 26,
        DCUM = 30,
        DECIMAL = 5,
        DH = 23,
        DIRECTION = 27,
        DX = 20,
        DY = 21,
        DZ = 22,
        EOL_SYMBOL = 1,
        FRAME_ID = 33,
        FRAME_NAME = 32,
        H = 15,
        HTOL = 48,
        ID = 29,
        INTEGER = 4,
        LEP = 9,
        LONGUEUR = 28,
        N = 16,
        NOM = 6,
        OLOC = 8,
        OPTION = 31,
        PERCENTAGE = 7,
        RS2K = 10,
        RX = 37,
        RY = 38,
        RZ = 39,
        SCL = 40,
        SPHE = 11,
        SX = 17,
        SY = 18,
        SZ = 19,
        TX = 34,
        TY = 35,
        TZ = 36,
        WORD = 3,
        X = 12,
        Y = 13,
        Z = 14,
        _RX = 44,
        _RY = 45,
        _RZ = 46,
        _SCL = 47,
        _TX = 41,
        _TY = 42,
        _TZ = 43,

        ACCEPT_STATE = 26,
        RULE_COUNT = 163,
        STATE_COUNT = 335,
        TERMINAL_COUNT = 49,
        NON_TERMINAL_COUNT = 123,

        GOTO_INDEX_OFFSET = 335,
        GOTO_INFO_OFFSET = 317,
        GOTO_CHECK_OFFSET = 317
    };

    static const char *const     spell[];
    static const short             lhs[];
    static const short             rhs[];
    static const short    goto_default[];
    static const short  action_default[];
    static const short    action_index[];
    static const short     action_info[];
    static const short    action_check[];

    static inline int nt_action (int state, int nt)
    {
        const int yyn = action_index [GOTO_INDEX_OFFSET + state] + nt;
        if (yyn < 0 || action_check [GOTO_CHECK_OFFSET + yyn] != nt)
            return goto_default [nt];

        return action_info [GOTO_INFO_OFFSET + yyn];
    }

    static inline int t_action (int state, int token)
    {
        const int yyn = action_index [state] + token;

        if (yyn < 0 || action_check [yyn] != token)
            return - action_default [state];

        return action_info [yyn];
    }
};


#endif // TABLE_COOLEXERIO_P_H

